# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSetPendingCmd

Function

Enters a task into a list of tasks to be run at the end of each graph (visual program) execution.

Syntax
`
#include <dx/dx.h>
`

Error DXSetPendingCmd(char *major, char *minor, int(*task)(Private),
Private data);

Functional Details

The task to be run (`*task`) is identified by two character strings:

`*major` | typically contains the calling module's ID.
`*minor` | typically indicates which of several discrete tasks the module has entered.

When execution of the graph is completed, the tasks in the list are executed in the order in which they are received. (If tasks are entered by two different modules, the order in which the modules run determines the order in which the tasks are called.)

When `*task` is called, it is passed `*data` as a parameter. The specified task is called at the end of each execution until it is removed from the pending-task list. Removal can be achieved by calling the routine again, with the same strings for `*major` and `*minor`, but setting `*task` to NULL.

Return Value

Returns OK or returns ERROR and sets and error code.

See Also `DXGetModuleId`

13.6 , "Pending Commands".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]